


STK_silo_files(8)                               STK_silo_files(8)


NNAAMMEE
       ssi - StorageTek silo interface module
       mini_el - event logger for use with ssi
       libstlstk - shared library for communication to ssi

SSYYNNOOPPSSIISS
       ssssii    [ ssoocckkeett nnaammee ] &
         mmiinnii__eell [ --ll _l_o_g_f_i_l_e ] [ --dd ] [ --hh ] [ --vv ] &
         lliibbssttllssttkk..ssoo (Solaris)
         lliibbssttllssttkk..ssoo..aa (AIX)
         lliibbssttllssttkk..ssll (HPUX)

DDEESSCCRRIIPPTTIIOONN
       ssssii  and mmiinnii__eell are required for NetWorker to communicate
       with a StorageTek silo. They  are  almost  always  run  as
       background    processes,    and    are   usually   started
       automatically by  the  system.  In  addition  to  ssssii  and
       mmiinnii__eell   ,   a   shared   library  file  (usually  called
       lliibbssttllssttkk..xxxxxx where xxx is an operating  system  dependent
       extension) is also required.

       The ssssii command is used indirectly by nnssrrjjbb to communicate
       with a StorageTek library server (either ACSLS or  Library
       Station).   nnssrrjjbb  makes  calls  to lliibbssttllssttkk , which then
       calls into  ssssii..  ssssii  maintains  the  connection  to  the
       library  server.  Before  ssssii  is started, one environment
       variable MMUUSSTT be set: CCSSII__HHOOSSTTNNAAMMEE must be set to the name
       of the library server.  If this variable is not found, ssssii
       will exit with an error message.

       mmiinnii__eell is an event logger used by ssssii to maintain  a  log
       of certain events.  It should be started before ssssii..

       lliibbssttllssttkk..xxxxxx   is  a  shared  library  that  handles  the
       communication between nnssrrjjbb and ssssii..    ssssii  then  handles
       the  communication  over the network to the library server
       (either ACSLS or Library Station).  There are no  options,
       parameters   or  environment  variables  that  affect  the
       operation of lliibbssttllssttkk..  The correct  path  to  this  file
       should  be  entered  when  an STK silo is configured using
       jjbb__ccoonnffiigg..  The  default  values  specified  by  jjbb__ccoonnffiigg
       match  the  default  locations chosen for the installation
       program, and in most cases can be accepted.


OOPPTTIIOONNSS
   mmiinnii__eell
       --ll     _l_o_g_f_i_l_e Specifies the filename of the logfile to be
              created   by   mmiinnii__eell..    The   default  value  is
              //nnssrr//llooggss//ssssii__eevveenntt..lloogg..  If present, _l_o_g_f_i_l_e  must
              be  the  complete path to the logfile.  If the file
              does not exist, it will be created.   If  the  file
              does  exist,  it  will be appended to.  If there is
              not   a   --ll   parameter,   the   default   logfile



NetWorker rt_1998_4Q.BuildA.uMgJuFsetra2l8_,0011997                        1





STK_silo_files(8)                               STK_silo_files(8)


              //nnssrr//llooggss//ssssii__eevveenntt..lloogg will be used

       --dd     Sets  the  debug  flag.   mmiinnii__eell  will output some
              possibly useful debug information

       --hh     Displays usage information for mmiinnii__eell

       --vv     Sets mini_el  to  use  use  old-style  packets  for
              communicating with older ACSLS versions


PPAARRAAMMEETTEERRSS
   ssssii
       The  socket  name  parameter is only required if the ACSLS
       server  is  not  communicating  on  port  50004  and   the
       environment  variable  has  not  been  set.  The allowable
       range for this parameter is 0 to a 14 digit  value,  which
       is not checked for correctness until the socket is opened.


EENNVVIIRROONNMMEENNTT VVAARRIIAABBLLEESS
   ssssii
       CCSSII__HHOOSSTTNNAAMMEE  (text, up to 32 chars, there is no default)
              This variable MUST be set for ssssii to  run.   It  is
              limited  to 32 characters, and should simply be the
              hostname running the library  server  program  that
              you are trying to connect to.

       AACCSSAAPPII__PPAACCKKEETT__VVEERRSSIIOONN  (numeric, 1< x < 4, default = 4)
              This  can be set if needed to talk to older library
              servers.

       AACCSSAAPPII__SSSSII__SSOOCCKKEETT (numeric, 0 < x < real big  number,
       default  = 50004)
              If  for  some  reason  your   library   server   is
              communicating  on  a port other than the default of
              50004.  This value is not checked until the  socket
              is  opened,  so  you need to be carefulnot to enter
              values that will not work.

       TTIIMMEE__FFOORRMMAATT (time format string, default =
       %%mm--%%dd--%%yy%H:%M:%S")"
              If  you wish to see time values printed in a format
              other   than   the   default   of    Month-Day-Year
              Hour:Minute:Seconds, use this variable.
                  %m is replaced by the current month
                  %d is replaced by today's date
                  %y is replaced by the current year
                  %H is replaced by the current hour
                  %M is replaced by the current minute
                  %S is replaced by the current second

       CCSSII__CCOONNNNEECCTT__AAGGEETTIIMMEE  (seconds, 0 < x < 31536000, default =
       600)



NetWorker rt_1998_4Q.BuildA.uMgJuFsetra2l8_,0011997                        2





STK_silo_files(8)                               STK_silo_files(8)


              This will set the number  of  seconds  for  network
              connect aging purposes.

       CCSSII__RREETTRRYY__TTIIMMEEOOUUTT  (seconds, 0 < x < ??, default = 4)
              This  will  set  how  long  ssssii  will  wait  before
              retrying a network request.

       CCSSII__RREETTRRYY__TTRRIIEESS  (numeric, 0 < x < 100, default = 5)
              This will set the number of times ssssii will retry  a
              network message before reporing an error.

       CCSSII__TTCCPP__RRPPCCSSEERRVVIICCEE  (boolean, default is TRUE)
              This  sets  whether  ssi  will  use  TCP sockets to
              connect with the library server.

       CCSSII__UUDDPP__RRPPCCSSEERRVVIICCEE  (boolean, default is FALSE)
              This sets whether  ssssii  will  use  UDP  sockets  to
              connect   with   the   library   server.    Setting
              CCSSII__UUDDPP__RRPPCCSSEERRVVIICCEE  to  TTRRUUEE  will  allow  ssssii   to
              communitcate with a ccssii that is running on the same
              system

EEXXAAMMPPLLEESS
       Normal STK silo setup:
            setenv CSI_HOSTNAME acsls1
            mini_el &
            ssi &

       Communicate to ACSLS using only  UDP  sockets,  which  may
       allow  you  to  run  NetWorker  on the same system that is
       running ACSLS.  However,  neither  StorageTek  nor  Legato
       support this combination.
            setenv CSI_TCP_RPCSERVICE FALSE
            setenv CSI_UDP_RPCSERVICE TRUE
            mini_el &
            ssi &

       Connect to ACSLS server on socket 55125
            setenv ACSAPI_SSI_SOCKET 55125
            setenv CSI_HOSTNAME acsls1
            mini_el &
            ssi &
         - or -
            setenv CSI_HOSTNAME acsls1
            mini_el &
            ssi 55125 &

       To have mini_el use /nsr/logs/ssi.log.today as its log
       file
            setenv CSI_HOSTNAME acsls1
            mini_el -l /nsr/logs/ssi.log.today &
            ssi &





NetWorker rt_1998_4Q.BuildA.uMgJuFsetra2l8_,0011997                        3





STK_silo_files(8)                               STK_silo_files(8)


FFIILLEESS
       /nsr/logs/ssi_event.log
              default logfile created/appended to by mmiinnii__eell

SSEEEE AALLSSOO
       nnssrrjjbb(8), jjbb__ccoonnffiigg(8), ddaassaaddmmiinn(8), lliibbssttlleemmaassss(8),
       lliibbssttlliibbmm(8)

DDIIAAGGNNOOSSTTIICCSS
       Errors  in  communication between the NetWorker server and
       the  ACSLS  server  will  be   logged   in   the   logfile
       /nsr/logs/ssi_event.log  (or other logfile as specified on
       the mini_el command line).












































NetWorker rt_1998_4Q.BuildA.uMgJuFsetra2l8_,0011997                        4


